<?php 
add_action( 'admin_init', 'jamie_social_init' );
add_action( 'admin_menu', 'jamie_social_add_page' );
/**
 * Init plugin options to white list our options
 */
 function jamie_social_init(){
	register_setting( 'social_options', 'jamie_social_options', 'jamie_social_validate' );
}
/**
 * Load up the menu page
 */
function jamie_social_add_page() {
	add_menu_page('Jamie Social Settings', 'Social Settings', 'administrator', __FILE__, 'social_options_do_page',plugins_url('/images/share-balloon.png', __FILE__));
}
/**
 * Create the options page
 */
add_action('admin_head', 'admin_register_head');
function admin_register_head() {
  $url = WP_PLUGIN_URL.'/jamie-social-icons/options.css';
  echo "<link rel='stylesheet' href='$url' />\n";
}
function social_options_do_page() {
	
	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;
?>
	<div class="wrap">
		 <?php screen_icon( 'jamie_social' ); ?>
		<h2><?php _e('Jamie Social Options', 'jamie_social') ?></h2>
          	<div id="dashboard-widgets-container">
		    <div id="dashboard-widgets" class="metabox-holder">
				<div id="post-body">
					<div id="dashboard-widgets-main-content">      
	<div class="postbox-container" id="main-container" style="width:75%;">
        <div class="meta-box-sortables" id="left-sortables"><div class="postbox " id="dashboard_right_now">
<h3 class="hndle"><span>Welcome to Jamie Social Icons</span></h3>
<div class="inside">
<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Options saved now start sharing!', 'jamie_social' ); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'social_options' ); ?>
			<?php $options = get_option( 'jamie_social_options' ); ?>
                        
        <table class="form-table">
         <tr width="80%">
         <th width="20%">Automatic icon display</th>
					<td width="20%">
				<input id="jamie_social_options[showing]" name="jamie_social_options[showing]" type="radio" value="top"<?php checked ('top' == $options['showing']);?> />
						<label class="description"><?php _e( 'Top Of Post', 'jamie_social' ); ?></label>
					</td>
					<td  width="20%">
				<input id="jamie_social_options[showing]" name="jamie_social_options[showing]" type="radio" value="bottom"<?php checked ('bottom' == $options['showing']);?> />
						<label class="description"><?php _e( 'Bottom of post', 'jamie_social' ); ?></label>
					</td>
<td  width="20%">                  
				<input id="jamie_social_options[showing]" name="jamie_social_options[showing]" type="radio" value="noauto"<?php checked ('noauto' == $options['showing']);?> />
						<label class="description"><?php _e( 'No Automatic show ', 'jamie_social' ); ?></label>
					</td>
				</tr>
                </table>  

			<table class="form-table">
		<tr valign="top"><th scope="row" rowspan="2"><?php _e( 'Show on Post Types', 'jamie_social' ); ?></th>
      <?php
	  /*
 $args=array(
  'public'   => true,
  '_builtin' => false
); 
$output = 'names'; // names or objects, note names is the default
$operator = 'and'; // 'and' or 'or'
 $post_types=get_post_types($args,$output,$operator);  
foreach ($post_types as $post_type ) {?>
<td> <input id="jamie_social_options[<?php echo  $post_type; ?>]" name="jamie_social_options[<?php echo   $post_type  ?>]" type="checkbox" value="1" <?php checked( '1', $options[''.$post_type.''] ); ?> />  
			
						<label class="description" ><?php _e( ''. $post_type. '', 'jamie_social' ); ?></label>
					</td>
					<?php }*/ ?>
                    <td> <input id="jamie_social_options[post]" name="jamie_social_options[post]" type="checkbox" value="1" <?php checked( '1', $options['post'] ); ?> />  
			
						<label class="description" ><?php _e( 'Show On Posts', 'jamie_social' ); ?></label>
					</td>
                      <td> <input id="jamie_social_options[page]" name="jamie_social_options[page]" type="checkbox" value="1" <?php checked( '1', $options['page'] ); ?> />  
			
						<label class="description" ><?php _e( 'Show On Pages', 'jamie_social' ); ?></label>
					</td>
                   <?php /*?>    <td> <input id="jamie_social_options[home]" name="jamie_social_options[home]" type="checkbox" value="1" <?php checked( '1', $options['home'] ); ?> />  
			
						<label class="description" ><?php _e( 'Show On Home Page ', 'jamie_social' ); ?></label>
					</td>
                    </tr>
                    <tr>
                      <td> <input id="jamie_social_options[archive]" name="jamie_social_options[archive]" type="checkbox" value="1" <?php checked( '1', $options['archive'] ); ?> />  
			
						<label class="description" ><?php _e( 'Show On Archive Pages', 'jamie_social' ); ?></label>
					</td>
                    <td> <input id="jamie_social_options[category]" name="jamie_social_options[category]" type="checkbox" value="1" <?php checked( '1', $options['category'] ); ?> />  
			
						<label class="description" ><?php _e( 'Show On Category Pages', 'jamie_social' ); ?></label>
					</td><?php */?>
				</tr>
                </table>

			<table class="form-table">
		<tr valign="top"><th scope="row"><?php _e( 'Show Facebook Like', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[facebook]" name="jamie_social_options[facebook]" type="checkbox" value="1" <?php checked( '1', $options['facebook'] ); ?> />
						<label class="description" for="jamie_social_options[facebook]"><?php _e( 'Facebook Like', 'jamie_social' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Show Google Plus This', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[google]" name="jamie_social_options[google]" type="checkbox" value="1" <?php checked( '1', $options['google'] ); ?> />
						<label class="description" for="jamie_social_options[google]"><?php _e( 'Google +', 'jamie_social' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Show Tweet This', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[twitter]" name="jamie_social_options[twitter]" type="checkbox" value="1" <?php checked( '1', $options['twitter'] ); ?> />
						<label class="description" for="jamie_social_options[twitter]"><?php _e( 'Twitter', 'jamie_social' ); ?></label>
					</td>
				</tr>
                    <tr valign="top"><th scope="row"><?php _e( 'Show Linked In Like', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[linkedin]" name="jamie_social_options[linkedin]" type="checkbox" value="1" <?php checked( '1', $options['linkedin'] ); ?> />
						<label class="description" for="jamie_social_options[linkedin]"><?php _e( 'LinkedIn', 'jamie_social' ); ?></label>
					</td>
				</tr>
                    <tr valign="top"><th scope="row"><?php _e( 'Show Pinterest This', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[pinterest]" name="jamie_social_options[pinterest]" type="checkbox" value="1" <?php checked( '1', $options['pinterest'] ); ?> />
						<label class="description" for="jamie_social_options[pinterest]"><?php _e( 'Pinterest', 'jamie_social' ); ?></label>
					</td>
				</tr>
				</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options', 'jamie_social' ); ?>" />
			</p>
		</form>
	</div>
    
</div>
</div>


</div>
        		
    <div class="postbox-container" id="side-container" style="width:24%;">
    <div class="postbox" id="jamie_social_meta_box">
<h3 class="hndle"><span>Do you like this Plugin?</span></h3>
<div class="inside">
  <p>For more details about this plugin please visit <a href="http://www.martiniboy.co.uk/wordpress-plugins/jamie-social-icons/" title="Wordpress Plugin Developer" target="_blank">www.martiniboy.co.uk</a></p>

<p><?php  echo sprintf(__('This plugin was developed, maintained, supported and documented by <a href="%s">Jamie Grove</a> with a lot of love & effort. Any kind of contribution would be highly appreciated. Thanks!', 'jamiesocial'), 'https://twitter.com/#!/MartiniJamie');?></p>

<?php $url = 'http://wordpress.org/extend/plugins/jamie-social-icons/' ;
	echo "<p style='padding-left: 48px; height:25px; background:transparent url(" .WP_PLUGIN_URL."/jamie-social-icons/images/thumbs_up.png ) no-repeat scroll center left; background-position: 16px 50%; text-decoration: none;'><a href='{$url}' target='_blank'>";
	_e('Give it a good rating on WordPress.org.', 'jamiesocial');
	echo "</a></p>";?>
<a href="https://twitter.com/martinijamie" class="twitter-follow-button" data-show-count="false">Follow @martinijamie</a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>  
<br class="clear">
</div>
</div>
</div>	

</div>
</div></div></div></div>
<?php
}
/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */

function jamie_social_validate( $input ) {
		// Say our text option must be safe text with no HTML tags
	$input['linkedin'] = wp_filter_nohtml_kses( $input['linkedin'] );
	$input['facebook'] = wp_filter_nohtml_kses( $input['facebook'] );
	$input['twitter'] = wp_filter_nohtml_kses( $input['twitter'] );
	$input['google'] = wp_filter_nohtml_kses( $input['google'] );
	$input['pinterest'] = wp_filter_nohtml_kses( $input['pinterest'] );
	$input['showing'] = wp_filter_nohtml_kses( $input['showing'] );
 	$input['post'] = wp_filter_nohtml_kses( $input['post'] );
	$input['page'] = wp_filter_nohtml_kses( $input['page'] ); 
/*?	$input['home'] = wp_filter_nohtml_kses( $input['home'] ); 
	$input['archive'] = wp_filter_nohtml_kses( $input['archive'] ); 
	$input['category'] = wp_filter_nohtml_kses( $input['category'] ); 
 >$input[''.$post_type.''] = wp_filter_nohtml_kses( $input[''.$post_type.''] );<?php */
		
	return $input;
}